net.corda.node.services.statemachine

## Class SessionInit

- net.corda.node.services.statemachine.SessionInit

- All Implemented Interfaces:
    SessionMessage

      public class SessionInit
      implements SessionMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInit(long initiatorSessionId, java.lang.String flowName, java.lang.Object firstPayload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `java.lang.String` | `component2()`
    `java.lang.Object` | `component3()`
    `SessionInit` | `copy(long initiatorSessionId, java.lang.String flowName, java.lang.Object firstPayload)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Object` | `getFirstPayload()`
    `java.lang.String` | `getFlowName()`
    `long` | `getInitiatorSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### SessionInit

          public SessionInit(long initiatorSessionId,
                             java.lang.String flowName,
                             java.lang.Object firstPayload)

  - ### Method Detail

    - #### getInitiatorSessionId

          public long getInitiatorSessionId()

    - #### getFlowName

          public java.lang.String getFlowName()

    - #### getFirstPayload

          public java.lang.Object getFirstPayload()

    - #### component1

          public long component1()

    - #### component2

          public java.lang.String component2()

    - #### component3

          public java.lang.Object component3()

    - #### copy

          public SessionInit copy(long initiatorSessionId,
                                  java.lang.String flowName,
                                  java.lang.Object firstPayload)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)